summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ml/jsonm/jsonm-1.0.0.ebuild')
-rw-r--r--dev-ml/jsonm/jsonm-1.0.0.ebuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/dev-ml/jsonm/jsonm-1.0.0.ebuild b/dev-ml/jsonm/jsonm-1.0.0.ebuild
index 71e10a86559..0281afd77e9 100644
--- a/dev-ml/jsonm/jsonm-1.0.0.ebuild
+++ b/dev-ml/jsonm/jsonm-1.0.0.ebuild
@@ -1,9 +1,11 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
+inherit findlib
+
DESCRIPTION="Non-blocking streaming JSON codec for OCaml"
HOMEPAGE="http://erratique.ch/software/jsonm"
SRC_URI="http://erratique.ch/software/jsonm/releases/${P}.tbz"
@@ -18,7 +20,6 @@ RDEPEND="dev-ml/uutf:=
dev-ml/uchar:="
DEPEND="${RDEPEND}
dev-ml/topkg
- dev-ml/opam
dev-ml/ocamlbuild
dev-ml/findlib"
@@ -29,10 +30,10 @@ src_compile() {
}
src_install() {
- opam-installer -i \
- --prefix="${ED}/usr" \
- --libdir="${D}/$(ocamlc -where)" \
- --docdir="${ED}/usr/share/doc/${PF}" \
- ${PN}.install || die
+ # Can't use opam-installer here as it is an opam dep...
+ findlib_src_preinst
+ local nativelibs="$(echo _build/src/${PN}.cm{x,xa,xs,ti} _build/src/${PN}.a)"
+ ocamlfind install ${PN} _build/pkg/META _build/src/${PN}.mli _build/src/${PN}.cm{a,i} ${nativelibs} || die
+ newbin _build/test/jsontrip.native jsontrip
dodoc CHANGES.md TODO.md README.md
}